// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import Qt.labs.gestures 1.0
import QtWebKit 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************


Page {
    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    property string popupHide: "";

    PropertyAnimation {id:move_content_foto; target: rectangle3; properties: "x";  to: -465; duration: 2000; easing.type: Easing.Linear }


    MouseArea {
        anchors.fill: parent

        signal swipeRight;
        signal swipeLeft;
        signal swipeUp;
        signal swipeDown;

        property int startX;
        property int startY;

        onPressed: {
            startX = mouse.x;
            startY = mouse.y;
        }

        onMouseXChanged: {
            //console.log("cambio"+mouse.x);


        // var deltaX = mouse.x-startX;
       //image_destino.x += deltaX/50;

            //image_destino_sig.x = image_destino.x + 470;

/*            if(startX + mouse.x > 300)
            {
                GlobalVars.numeroSwipe += 1;
                console.log("GlobalVars.numeroSwipe"+GlobalVars.numeroSwipe);
                image_destino.source = GlobalVars.imageSwipe[GlobalVars.numeroSwipe];
                //image_destino_sig.source = GlobalVars.imageSwipe[GlobalVars.numeroSwipe+1];
                image_destino.x = 0;
               // image_destino_sig.x = 470;
            }*/
        }

        onReleased: {
            var deltax = mouse.x - startX;
            var deltay = mouse.y - startY;

            if (Math.abs(deltax) > 30 || Math.abs(deltay) > 30) {

                cargando(true);
                if (deltax > 20 && Math.abs(deltay) < 20) {
                    console.log("left");
                    console.log(GlobalVars.numeroSwipe);

                    if(GlobalVars.numeroSwipe > 1)
                    {
                        image_destino.x = 480;
                        move_content_foto.running = true;
                        GlobalVars.numeroSwipe -= 1;
                        image_destino.source = GlobalVars.imageSwipe[GlobalVars.numeroSwipe];
                    }


                } else if (deltax < -20 && Math.abs(deltay) < 20) {

                    console.log("rigth");
                    console.log(GlobalVars.numeroSwipe);
                    if(GlobalVars.numeroSwipe  <  GlobalVars.imageSwipe.length-1)
                    {
                        image_destino.x = 480;
                        move_content_foto.running = true;
                        GlobalVars.numeroSwipe += 1;
                        image_destino.source = GlobalVars.imageSwipe[GlobalVars.numeroSwipe];
                    }

                } else if (Math.abs(deltax) < 30 && deltay > 30) {
                    console.log("swipe down");
                    //swipeDown();
                } else if (Math.abs(deltax) < 30 && deltay < 30) {
                     console.log("swipe up");
                    //swipeUp();
                }
                cargando(false);
            }
        }
    }




    Rectangle {
        id: rectangle1
        x: 0
        y: -140
        width: 480
        height: 880
        color: "#000000"
    }



        Rectangle {
            id: rectangle3
            x: 0
            y: 0
            width: 480
            color: "black"

            Text {
                id: text1
                x: 155
                y: 359
                width: 165
                height: 39
                color: "#ffffff"
                text: qsTr("Cargando...")
                verticalAlignment: Text.AlignVCenter
                horizontalAlignment: Text.AlignHCenter
                font.pixelSize: 30
            }

        Image {
            id: image_destino
            source: ""
            x:15
            width: 450
        }

    }



        MouseArea {
            id: mouse_area1
            x: 417
            y: 6
            width: 37
            height: 34

            onClicked: {
                if(popupHide == "true")
                {
                    popupHide = "false";
                    move_content_popup_hide.running = true;
                    timer2.running = true;

                }
                else
                {
                    popupHide = "true";
                    move_content_popup.running = true;
                    timer2.running = true;
                }


            }
        }



    PageStack {
        id: pageStackDetalleDestino
        width: 480
        height: 940
        x:0
        y:140
        busy: true

        Text {
            id: text_detalle
            x: 13
            y: 12
            width: 454
            height: 527
            color: "#ffffff"
            text: qsTr("")
            wrapMode: Text.WordWrap
            font.pixelSize: 19
        }



    }

    Rectangle {
        id: rectangle2
        x: 0
        y: 0
        width: 480
        height: 45
        opacity: 0.7
        color: "black"

    }

    Image {
        id: titulo_mexico
        x: 165
        y: -5
        width: 150
        height: 58
        source: "img/insumo/loader9.png"
    }


    Image {
        id: image2
        x: 419
        y: 5
        width: 35
        height: 35
        source: "img/insumo/info.png"
    }


    //****************** animacion para el popup   *************

        PropertyAnimation {id:move_content_popup; target: content_popup; properties: "y";  to: -500; duration: 800; easing.type: Easing.OutExpo }
        PropertyAnimation {id:move_content_popup_hide; target: content_popup; properties: "y";  to: 0; duration: 800; easing.type: Easing.InBack }

        Item {
            id: content_popup

            Image {
                id: popup_img
                x: 56
                y: 794
                height: 328
                width: 370
                source: "img/insumo/popup.png"

                Text {
                    id: text11
                    x: 10
                    y: 100
                    width: 350
                    height: 153
                    color: "#ffffff"
                    text: qsTr("")
                    wrapMode: Text.WordWrap
                    verticalAlignment: Text.AlignVCenter
                    font.pixelSize: 18
                }


                Image {
                    id: image3
                    x: 346
                    y: -8
                    width: 35
                    height: 35
                    source: "img/insumo/CERRAR.png"
                }

                MouseArea {
                    id: mouse_area2
                    x: 346
                    y: -11
                    width: 38
                    height: 34
                    onClicked: {
                        popupHide = "false";
                        move_content_popup_hide.running = true;
                        timer2.running = true;
                    }

                }

                Image {
                    id: image1
                    x: 326
                    y: 286
                    width: 35
                    height: 35
                    source: "img/insumo/share.png"
                }

                MouseArea {
                    id: mouse_area3
                    x: 321
                    y: 280
                    width: 39
                    height: 41
                    onClicked: {

                        if(shareHide == "true")
                        {
                            shareHide = "false";
                            move_content_share_hide.running = true;
                            timer2.running = true;
                        }
                        else
                        {
                            shareHide = "true";
                            move_content_share.running = true;
                            timer2.running = true;
                        }
                    }

                }
            }
        }

        Timer{
            id:timer2
            interval: 10100

            onTriggered: {

            }
        }


        //****************** share /************************

           PropertyAnimation {id:move_content_share; target: content_share; properties: "y";  to: -400; duration: 800; easing.type: Easing.Linear }
           PropertyAnimation {id:move_content_share_hide; target: content_share; properties: "y";  to: 0; duration: 800; easing.type: Easing.Linear }
           property string shareHide: "false"

           Item {
               id: content_share

               Rectangle
               {
                   id:rec_share
                   height: 440
                   width: 480
                   y : 800
                   color:"black"
                   opacity:0.8
               }

               Button {
                   id: button1
                   x: 70
                   y: 858
                   text: ""
                   iconSource: "img/insumo/FACE.png"
                   onClicked:  {
                      // var numJson = GlobalVars.arrayDataDestinoJSON.length-1;
                       web_view.visible = true;
                       flickable.visible = true;
                       shareHide = "false";
                       move_content_share_hide.running = true;
                       timer3.running = true;
                       web_view.url = "http://www.facebook.com/sharer.php?s=100&p[url]=&p[images][0]="+GlobalVars.imagenGrandeGlobal+"&p[title]= Vive México &p[summary]="+GlobalVars.descripImage;
                   }
               }

               Button {
                   id: button2
                   x: 70
                   y: 930
                   text: ""
                   iconSource: "img/insumo/TW.png"
                   onClicked: {
                       var numJson = GlobalVars.arrayDataDestinoJSON.length-1;
                       web_view.visible = true;
                       flickable.visible = true;
                       shareHide = "false";
                       move_content_share_hide.running = true;
                       timer3.running = true;
                       web_view.url = "http://twitter.com/?status="+ GlobalVars.imagenGrandeGlobal;
                   }
               }

               Button {
                   id: button3
                   x: 70
                   y: 1023
                   iconSource: "img/insumo/CANCEL.png"
                   text: ""
                   onClicked: {
                       shareHide = "false";
                       move_content_share_hide.running = true;
                       timer3.running = true;
                   }
               }
           }

           Timer{
              id:timer3
           }

           Flickable {
            id: flickable
            width: parent.width
            height:  parent.height
            contentWidth: web_view.width
            contentHeight: web_view.height
            interactive: true
            clip: true
            visible:false

           WebView {
               id: web_view
               x: 0
               y: -1
               preferredWidth: flickable.width
               preferredHeight: flickable.height
               visible:false
               url: ""

               }
           }




    Component.onCompleted: {
        text11.text = GlobalVars.descripImage;
        var numJson = GlobalVars.arrayDataDestinoJSON.length-1;
        image_destino.source = GlobalVars.imagenGrandeGlobal;
        //image_destino_sig.source = GlobalVars.imageSwipe[GlobalVars.numeroSwipe+1];
        //console.log("imagen: " +GlobalVars.imagenGrandeGlobal);

        if(GlobalVars.ubicacionImagenAmpliada == true)
        {
            image_destino.height = 820;
            GlobalVars.ubicacionImagenAmpliada = false;
        }

        if(GlobalVars.lenguaje != "es" )
        {
            text1.text = "Loading...";
        }

        cargando(false);
    }

}
