// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************

Item {
    width: 50
    height: 50

    property string image: "";
    property string imagen2: "";
    property string localiz : "";
    property string maximo: "";
    property string grados: "";
    property string manana: "";
    property string viento: "";
    property string velocidad: "";
    property string direccion: "";
    property string humedad: "";
    property string presion: "";
    property string amanecer: "";
    property string atardecer: "";

    Image {
        id: image1
        x:127
        y: -53
        width: 128
        height: 128
        source: image
    }

    Text {
        id: text1
        x: 0
        y: 109
        width: 189
        height: 19
        color: "#ffffff"
        text: localiz
        font.bold: true
        wrapMode: Text.NoWrap
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        font.pixelSize: 16
    }

    Text {
        id: text2
        x: 0
        y: 141
        width: 189
        height: 19
        color: "#ffffff"
        text: maximo
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        font.pixelSize: 16
    }

    Text {
        id: text3
        x: 261
        y: 109
        width: 114
        height: 66
        color: "#ffffff"
        text: grados + "°"
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        font.pixelSize: 50
    }

    Image {
        id: image2
        x: -32
        y: 359
        width: 446
        height: 74
        rotation: 180
        source: "img/insumo/BARRA-TEXTO-MORADO1.png"
    }

    Text {
        id: text5
        x: -20
        y: 371
        width: 189
        height: 50
        color: "#ffffff"
        text: humedad
        font.pixelSize: 16
        wrapMode: Text.NoWrap
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
    }

    Text {
        id: text6
        x: 225
        y: 371
        width: 178
        height: 50
        color: "#ffffff"
        text: presion
        font.pixelSize: 16
        wrapMode: Text.NoWrap
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
    }

    Image {
        id: image3
        x: -32
        y: 191
        width: 446
        height: 74
        rotation: -180
        source: "img/insumo/BARRA-TEXTO-MORADO1.png"
    }

    Image {
        id: image4
        x: 6
        y: 198
        width: 61
        height: 61
        source: imagen2
    }

    Text {
        id: text7
        x: 165
        y: 203
        width: 228
        height: 50
        color: "#ffffff"
        text: manana
        font.pixelSize: 16
        wrapMode: Text.NoWrap
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
    }

    Text {
        id: text8
        x: -22
        y: 287
        width: 110
        height: 50
        color: "#ffffff"
        text: viento
        font.pixelSize: 16
        wrapMode: Text.NoWrap
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
    }

    Text {
        id: text9
        x: 132
        y: 287
        width: 110
        height: 50
        color: "#ffffff"
        text: direccion
        font.pixelSize: 16
        wrapMode: Text.NoWrap
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
    }

    Text {
        id: text10
        x: 272
        y: 287
        width: 110
        height: 50
        color: "#ffffff"
        text: velocidad
        font.pixelSize: 16
        wrapMode: Text.NoWrap
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
    }

    Text {
        id: text11
        x: -17
        y: 452
        width: 189
        height: 50
        color: "#ffffff"
        text: amanecer
        font.pixelSize: 16
        wrapMode: Text.NoWrap
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
    }

    Text {
        id: text12
        x: 228
        y: 452
        width: 178
        height: 50
        color: "#ffffff"
        text: atardecer
        font.pixelSize: 16
        wrapMode: Text.NoWrap
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
    }

}
