// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************


Page {
    id:item_detalle_actividad
    tools: commonTools
    width: 480
    height: 600
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    Rectangle{
        id: rectangle1
        width: 480
        height: 740
        color: "black"
        opacity:0.5
    }

    Flickable {
        id: flickArea
       // width: parent.width
        height:600
        anchors.fill: parent
        contentWidth: textarea_detalle.width
        contentHeight: textarea_detalle.height
        flickableDirection: Flickable.VerticalFlick
        clip: true
        interactive: true



        Text {
            id: textarea_detalle
            x: 20
            y: 39
            width: 441
            //height: 601
            color: "#ffffff"
            text: ""
            font.bold: true
            font.family: "Minion Pro"
            verticalAlignment: Text.AlignTop
            font.pixelSize: 24
            styleColor: "#000000"
            wrapMode: Text.WordWrap
        }
    }

    Image {
        id: image_detalle_destino
        source: ""
    }

    Component.onCompleted: {
         var numJson = GlobalVars.arrayActividadJson.length-1;
        textarea_detalle.text = GlobalVars.arrayActividadJson[numJson].items.name +"\n\n"+ GlobalVars.arrayActividadJson[numJson].items.description;
        cargando(false);
    }
}
