// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************


Page {
   // id:item_detalle_actividad

    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    Image {
        id: image_destino
        source: ""
    }

    PageStack {
        id: pageStackActividad3nivel
        width: 480
        height: 923

        x:0
        y:153

        busy: true

    }

    Rectangle {
        id: rectangle2
        x: 0
        y: 0
        width: 480
        height: 45
        opacity: 0.7
        color: "black"

    }

    Image {
         id: image1
         x: 431
         y: 5
         width: 35
         height: 35
         source: "img/insumo/avion.png"

         MouseArea {
             id: mouse_area1
             x: 0
             y: 0
             width: 51
             height: 35

             onClicked: {
                 cargando(true);
                 loadDataDestino();


             }
         }
     }



    Image {
        id: titulo_mexico
        x: 165
        y: -5
        width: 150
        height: 58
        source: "img/insumo/loader9.png"
    }

        Rectangle {
            id: rectangle1
            x: 0
            y: 105
            width: 480
            height: 47
            opacity: 0.5
            color: "black"



        Label {
            id: label1_destino
            x: 52
            y: 4
            width: 374
            height: 36
            color: "#ffffff"
            text: ""
            font.bold: true
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
        }
    }

    Image {
        id: tituloDestino
        x: 63
        y: 64
        width: 354
        height: 35
        source: "img/insumo/BARRA-TEXTO-NARANJA.png"

        Text {
            id: text_destino
            x: 0
            y: 0
            width: 354
            height: 35
            color: "#ffffff"
            text: qsTr("")
            wrapMode: Text.WordWrap
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
            font.pixelSize: 26
        }
    }

    Component.onCompleted: {

        if(GlobalVars.lenguaje != "es" )
        {
            label1_destino.text = "Detail"
        }
        else
        {
            label1_destino.text = "Detalle";
        }

        pageStackActividad3nivel.push(Qt.resolvedUrl("ItemDetalleActividad.qml"));
        image_destino.source = "img/insumo/splash-480.png";
        var numJson = GlobalVars.arrayActividadJson.length-1;

        var textoMax = "";

        if(GlobalVars.arrayActividadJson[numJson].items.name.length > 25)
        {
            for(var j = 0; j < 25 ; j++)
            {
                textoMax += GlobalVars.arrayActividadJson[numJson].items.name[j];
            }
            textoMax += "...";
        }
        else
        {
            textoMax =  GlobalVars.arrayActividadJson[numJson].items.name;
        }
        text_destino.text = textoMax;

    }

    function loadDataDestino()
    {
        var numJson = GlobalVars.arrayActividadJson.length-1;
        var urlDestino = GlobalVars.arrayActividadJson[numJson].items.destiny;
        var cad = urlDestino + GlobalVars.finalUrl;
        Services.cargarJson(setDataArrayJSON, cad);
    }

    function setDataArrayJSON(data)
    {
        GlobalVars.arrayDataDestinoJSON.push(data);
        pageStack.clear();
        pageStack.push(Qt.resolvedUrl("HomePage.qml"));
        //pageStack.push(Qt.resolvedUrl("PageDestinos.qml"));
        pageStack.push(Qt.resolvedUrl("PageLoadDestino.qml"));
    }

}



