// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import QtWebKit 1.0
import QtMultimediaKit 1.1 // do not forgot to import this
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************


Page {
    tools: commonTools
    width: 480
    height: 740
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line


    Rectangle {
        id: rectangle1
        x: 0
        y: -140
        width: 480
        height: 880
        color: "#000000"
    }
        Rectangle {
            id: rectangle3
            x: 0
            y: 0
            width: 480
            color: "black"

            WebView {
                id: web_view
                x: 5
                y: 40
                height: 700
                preferredWidth :470
                preferredHeight: 700
                visible:false
                scale: 1
                url: ""


            }

    }
    PageStack {
        id: pageStackDetalleDestino
        width: 480
        height: 940
        x:0
        y:140

        busy: true

        Text {
            id: text_detalle
            x: 13
            y: 12
            width: 454
            height: 527
            color: "#ffffff"
            text: qsTr("")
            wrapMode: Text.WordWrap
            font.pixelSize: 19
        }



    }

    Rectangle {
        id: rectangle2
        x: 0
        y: 0
        width: 480
        height: 45
        opacity: 0.7
        color: "black"


        MouseArea {
            id: mouse_area_share
            x: 421
            y: -5
            width: 59
            height: 58

            onClicked: {
                if(shareHide == "true")
                {
                    shareHide = "false";
                    move_content_share_hide.running = true;
                    timer2.running = true;
                }
                else
                {
                    shareHide = "true";
                    move_content_share.running = true;
                    timer2.running = true;
                }

            }

        }
    }

    Image {
        id: titulo_mexico
        x: 165
        y: -5
        width: 150
        height: 58
        source: "img/insumo/loader9.png"
    }

    Image {
        id: imageS
        x: 424
        y: -2
        width: 50
        height: 50
        source: "img/insumo/share.png"
    }


    //****************** share /************************

       PropertyAnimation {id:move_content_share; target: content_share; properties: "y";  to: -400; duration: 800; easing.type: Easing.Linear }
       PropertyAnimation {id:move_content_share_hide; target: content_share; properties: "y";  to: 0; duration: 800; easing.type: Easing.Linear }
       property string shareHide: "false"



       Item {
           id: content_share


           Image {
               id: panorama_img_share
               height: 440
               width: 480
               y : 800
               source: "img/insumo/header.png"
           }



           Button {
               id: button1
               x: 70
               y: 858
               text: ""
               iconSource: "img/insumo/FACE.png"
               onClicked:  {
                   var numJson = GlobalVars.arrayDataDestinoJSON.length-1;
                   web_view.visible = true;
                   shareHide = "false";
                   move_content_share_hide.running = true;
                   timer2.running = true;
                   web_view.url = "http://www.facebook.com/sharer.php?s=100&p[url]="+ GlobalVars.VideoYouTube;
                  // web_view.url = "http://www.facebook.com/sharer.php?s=100&p[url]="+ GlobalVars.arrayActividadJson[numJson].items.share_url +"&p[images][0]=''&p[title]="+GlobalVars.arrayActividadJson[numJson].items.title +" &p[summary]="+GlobalVars.arrayActividadJson[numJson].items.detail;

               }
           }

           Button {
               id: button2
               x: 70
               y: 930
               text: ""
               iconSource: "img/insumo/TW.png"
               onClicked: {
                   var numJson = GlobalVars.arrayDataDestinoJSON.length-1;
                   web_view.visible = true;
                   shareHide = "false";
                   move_content_share_hide.running = true;
                   timer2.running = true;
                   web_view.url = "http://twitter.com/?status="+ GlobalVars.VideoYouTube;
               }
           }

           Button {
               id: button3
               x: 70
               y: 1023
               iconSource: "img/insumo/CANCEL.png"
               text: ""
               onClicked: {
                   shareHide = "false";
                   move_content_share_hide.running = true;
                   timer2.running = true;
               }

           }


       }

       Timer{
           id:timer2

       }


    Component.onCompleted: {
        //web_view.url =  GlobalVars.VideoYouTube;
       // web_view.visible = true;

        Qt.openUrlExternally(GlobalVars.VideoYouTube)


    }
}

