// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************


Page {
    id:item_detalle_destino
    tools: commonTools
    width: 480
    height: 600
    orientationLock: PageOrientation.LockPortrait // <-- This is the magic line

    Rectangle{
        id: rectangle1
        width: 480
        height: 740
        color: "black"
        opacity:0.5
    }

    Rectangle {
        id: rectangle2
        x: 0
        y: -58
        width: 480
        height: 58
        opacity: 0.5
        color: "black"

        Label {
            id: label1_destino
            x: 52
            y: 7
            width: 374
            height: 44
            color: "#ffffff"
            text: "Detalle"
            font.bold: true
            font.pointSize: 24
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
        }
    }


    Flickable {
       id: flickArea
        anchors.fill: parent
        contentWidth: textarea_detalle.width; contentHeight: textarea_detalle.height
        flickableDirection: Flickable.VerticalFlick
        clip: true
        interactive: true

        Text {
            id: textarea_detalle
            x: 20
            y: 39
            width: 441
            height: 601
            color: "#ffffff"
            text: ""
            font.bold: true
            verticalAlignment: Text.AlignTop
            font.pixelSize: 24
            styleColor: "#000000"
            wrapMode: Text.WordWrap
        }
   }


    Image {
        id: image_detalle_destino
        source: ""
    }

    Component.onCompleted: {

      if(GlobalVars.lenguaje != "es" )
        {
            label1_destino.text = "Detail"
        }
        var numJson = GlobalVars.arrayDataDestinoJSON.length-1;
        textarea_detalle.text = qsTr(GlobalVars.arrayDataDestinoJSON[numJson].detail.name +"\n\n"+ GlobalVars.arrayDataDestinoJSON[numJson].detail.detail);
        cargando(false);

    }
}
