// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************

Item {
    width: 50
    height: 50

    property string sourceImg: "img/destinos_thum/default.png";
    property string label_txt: "";
    property string urlImage: "";
    property string descrip: "";
    property int numeroSwipeActual: 0;


    Image {
        id: fondo_img
        width: 180
        height: 120
        source: sourceImg
    }
    Image {
        id: fonde_txt
        width: 180
        height: 29
        x:0
        y:91
        source: "img/insumo/contenedor-de-texto.png"
    }


    Text {
        id: text1
        x: 0
        text: label_txt
        verticalAlignment: Text.AlignVCenter
        font.pointSize: 16
        wrapMode: Text.WordWrap
        font.family: "arial"
        color: "white"
        y : 91
        width: 181
        height: 29
    }

    MouseArea {
        id: area_item
        x: 0
        y: 0
        width: 180
        height: 120

        onClicked: {
            loadDataDestino();
        }
    }

    Image {
        id: image1
        x: 106
        y: 0
        width: 75
        height: 120
        source: "img/insumo/BARRA.png"
    }

    Component.onCompleted: {
        cargando(false);
    }

    function loadDataDestino()
    {
        cargando(true);
        GlobalVars.imagenGrandeGlobal = urlImage;
        GlobalVars.ubicacionImagenAmpliada = true;
        GlobalVars.numeroSwipe = numeroSwipeActual;
        GlobalVars.descripImage = descrip;
        parent.parent.parent.parent.parent.parent.parent.parent.parent.parent.pageStack.push(Qt.resolvedUrl("FotosApliadasDestino.qml"));
    }



}
