// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import "js/GlobalVars.js" as GlobalVars
import "js/Services.js" as Services
///********************************

Item {
    width: 50
    height: 50

    property string image: "";
    property string name: "";
    property string address: "";
    property string contact: "";

    Image {
        id: image1
        x: -26
        y: -3
        width: 427
        height: 215
        source: "img/insumo/BARRA-TEXTO-MORADO.png"
    }

    Image {
        id: fondo_img
        x: 4
        y: 8
        width: 42
        height: 42
        source: image
    }
    Image {
        id: fonde_txt
        width: 42
        height: 42
        x:4
        y:83
        source: "img/insumo/direccion.png"
    }

    Image {
        id: fonde_mas
        width: 42
        height: 42
        x:4
        y:147
        source: "img/insumo/telefono.png"
    }

    Text {
        id: text1
        x: 102
        y: 12
        width: 196
        height: 42
        color: "#ffffff"
        text: name
        wrapMode: Text.WordWrap
        verticalAlignment: Text.AlignVCenter
        font.pixelSize: 20
    }

    Text {
        id: text2
        x: 102
        y: 83
        width: 196
        height: 42
        color: "#ffffff"
        text: address
        wrapMode: Text.WordWrap
        verticalAlignment: Text.AlignVCenter
        font.pixelSize: 20
    }

    Text {
        id: text3
        x: 102
        y: 147
        width: 196
        height: 42
        color: "#ffffff"
        text: contact
        wrapMode: Text.WordWrap
        verticalAlignment: Text.AlignVCenter
        font.pixelSize: 20
    }
}
