.pragma library
//Qt.include("GlobalVars.js");
//**********************//

Qt.include("xml2json.js");

var currentLang = "es";
var currentIndexParent;
var langVars = new LangVars();
var currentIndexAleatorio = 1;
var numPerAleatorio = 20;
var file = null;
var ciudades = new Array();

ciudades.push({nombre:'ACAPULCO',lat:16.862906,long:-99.885975});
ciudades.push({nombre:'AGUASCALIENTES',lat:21.875917,long:-102.305513});
ciudades.push({nombre:'BARRANCAS DEL COBRE',lat:28.608559,long:-106.058933});
ciudades.push({nombre:'CAMPECHE',lat:19.558284,long:-90.206194});
ciudades.push({nombre:'CANCÚN',lat:21.133011,long:-86.747417});
ciudades.push({nombre:'CHETUMAL',lat:18.492981,long:-88.299134});
ciudades.push({nombre:'CHICHÉT ITZÁ',lat:20.682673,long:-88.568623});
ciudades.push({nombre:'CHIHUAHUA',lat:28.639262,long:-106.072633});
ciudades.push({nombre:'CHILPANZINGO',lat:17.550263,long:-99.500084});
ciudades.push({nombre:'CIUDAD DE MÉXICO',lat:19.434988,long:-99.133372});
ciudades.push({nombre:'CIUDAD VICTORIA',lat:23.737112,long:-99.14114});
ciudades.push({nombre:'COLIMA',lat:19.134789,long:-103.819427});
ciudades.push({nombre:'COSTALEGRE',lat:19.675787,long:-103.463611});
ciudades.push({nombre:'COZUMEL',lat:20.432965,long:-86.908722});
ciudades.push({nombre:'CUERNAVACA',lat:18.933892,long:-99.231091});
ciudades.push({nombre:'CULIACÁN',lat:24.8045,long:-107.430153});
ciudades.push({nombre:'DURANGO',lat:24.027651,long:-104.653187});
ciudades.push({nombre:'ENSENADA',lat:31.858751,long:-116.62086});
ciudades.push({nombre:'GUADALAJARA',lat:20.677077,long:-103.344741});
ciudades.push({nombre:'GUANAJUATO',lat:21.015864,long:-101.253146});
ciudades.push({nombre:'GUAYMAS-SAN CARLOS',lat:27.959041,long:-111.03796});
ciudades.push({nombre:'HERMOSILLO',lat:29.084358,long:-110.959876});
ciudades.push({nombre:'HUATULCO',lat:15.754919,long:-96.130371});
ciudades.push({nombre:'ISLA MUJERES',lat:21.145992,long:-86.791992});
ciudades.push({nombre:'IXTPA ZIHUATANEJO',lat:17.637601,long:-101.559677});
ciudades.push({nombre:'LA PAZ',lat:24.161164,long:-110.318184});
ciudades.push({nombre:'LORETO',lat:26.014887,long:-111.340513});
ciudades.push({nombre:'MANZANILLO',lat:19.053681,long:-104.314263});
ciudades.push({nombre:'MAZATLÁN',lat:23.221944,long:-106.424303});
ciudades.push({nombre:'MÉRIDA',lat:20.991373,long:-89.616637});
ciudades.push({nombre:'MEXICALI',lat:32.650216,long:-115.45249});
ciudades.push({nombre:'MONTERREY',lat:25.678198,long:-100.28183});
ciudades.push({nombre:'MORELIA',lat:19.69787,long:-101.185112});
ciudades.push({nombre:'OAXACA',lat:17.193275,long:-96.792297});
ciudades.push({nombre:'PACHUCA',lat:20.115502,long:-98.744731});
ciudades.push({nombre:'PALENQUE',lat:17.50977,long:-91.981745});
ciudades.push({nombre:'PÁTZCUARO',lat:19.516414,long:-101.609867});
ciudades.push({nombre:'PLAYA DEL CARMEN',lat:20.628647,long:-87.080276});
ciudades.push({nombre:'PUEBLA',lat:19.040781,long:-98.210821});
ciudades.push({nombre:'PUERTO ESCONDIDO',lat:15.864343,long:-97.069573});
ciudades.push({nombre:'PUERTO PEÑASCO',lat:31.317898,long:-113.536556});
ciudades.push({nombre:'PUERTO VALLARTA',lat:20.62198,long:-105.228639});
ciudades.push({nombre:'QUERÉTARO',lat:20.591853,long:-100.392294});
ciudades.push({nombre:'RIVIERA MAYA',lat:20.628838,long:-87.069944});
ciudades.push({nombre:'RIVIERA NAYARIT',lat:20.693759,long:-105.294417});
ciudades.push({nombre:'SALTILLO',lat:25.431648,long:-100.981522});
ciudades.push({nombre:'SAN BLAS',lat:21.541064,long:-105.284472});
ciudades.push({nombre:'SAN CRISTÓBAL DE LAS CASAS',lat:16.737975,long:-92.637877});
ciudades.push({nombre:'SAN LUIS POTOSÍ',lat:22.156883,long:-100.985041});
ciudades.push({nombre:'SAN MIGUEL DE ALLENDE',lat:20.914043,long:-100.744028});
ciudades.push({nombre:'TAMPICO',lat:22.254267,long:-97.8687});
ciudades.push({nombre:'TAPACHULA',lat:14.899709,long:-92.266831});
ciudades.push({nombre:'TAXCO',lat:18.556418,long:-99.605119});
ciudades.push({nombre:'TEOTIHUACAN',lat:19.692951,long:-98.842878});
ciudades.push({nombre:'TEPIC',lat:21.503547,long:-104.894714});
ciudades.push({nombre:'TEPOZTLÁN',lat:18.984768,long:-99.100263});
ciudades.push({nombre:'TIJUANA',lat:32.533717,long:-117.018385});
ciudades.push({nombre:'TLAXCALA',lat:19.312925,long:-98.239403});
ciudades.push({nombre:'TOLUCA',lat:19.286882,long:-99.647799});
ciudades.push({nombre:'TORREÓN',lat:25.541357,long:-103.407097});
ciudades.push({nombre:'TUXTLA GUTIERREZ',lat:16.748167,long:-93.117456});
ciudades.push({nombre:'VALLE DE BRAVO',lat:19.192372,long:-100.130661});
ciudades.push({nombre:'VERACRUZ',lat:19.172369,long:-96.133504});
ciudades.push({nombre:'VILLAHERMOSA',lat:17.986407,long:-92.929316});
ciudades.push({nombre:'ZACATECAS',lat:22.767001,long:-102.583122});
ciudades.push({nombre:'XALAPA',lat:19.54325,long:-96.914735});

function readLatitud(nombreciudad)
{


    var i=0;
    var salida=null;
    for(i=0;i<ciudades.length;i++)
    {
        //console.log(nombreciudad.toLowerCase() +"=="+ ciudades[i].nombre.toLowerCase())
        if(ciudades[i].nombre.toLowerCase()===nombreciudad.toLowerCase())
        {//.replace(/_/gi,' ')
            salida = ciudades[i];
            break;
        }
    }
    return salida;
}


function cargarJson(callback,url)
{
    console.log("url: " + url);
    var xhr = new XMLHttpRequest;
       xhr.open("GET", url);
       xhr.onreadystatechange = function() {
           if (xhr.readyState == XMLHttpRequest.DONE) {
               var respuesta = JSON.parse(xhr.responseText);

               callback(respuesta);
           }
       }
       xhr.send();
}


function cargarRss(callback,url)
{
    console.log("url: " + url);
    var xhr = new XMLHttpRequest;
       xhr.open("GET", url);
       xhr.onreadystatechange = function() {
           if (xhr.readyState == XMLHttpRequest.DONE) {
               var respuesta = xhr.responseText;
               callback(respuesta);
           }
       }
       xhr.send();
}

function cargarXml(url,callback1,callback2)
{
    var xhr = new XMLHttpRequest();
    xhr.async=false;
       xhr.open("GET", url, true);
       xhr.onreadystatechange = function() {
           if (xhr.readyState == XMLHttpRequest.DONE) {
                console.log(xhr.responseXML.documentElement);
               if(xhr.responseXML == null)
              {

              }
               else{
                   /*console.log(xhr.responseXML.documentElement.childNodes[0].childNodes.length);
                   for(var i = 0; i < xhr.responseXML.documentElement.childNodes.length;i++)
                   {
                       console.log(xhr.responseXML.documentElement.childNodes[i].nodeValue);
                   }*/
                   callback1(xhr.responseXML,callback2);
               }
           }
       }
       xhr.send();

}


function climaCiudadYahoo(xmlDoc,callback)
{
    var json = xml2json(xmlDoc,"");
    callback(json);
}

function versionesMeego(xmlDoc,callback)
{
    var json = xml2json(xmlDoc,"");
    callback(json);
}




/////////////////////////
function LangVars()
{
    this.values = new Array();
    this.names = new Array();

    this.setVar = function(name,value)
    {
        var i;
        var index=-1;

        for(i=0;i<this.names.length;i++)
        {
            if(this.names[i].toString()==name.toString())
            {
                index=i;
                break;
            }
        }

        if(index!=-1)
        {
            this.names[index] = value;
        }
        else
        {
            this.names.push(name);
            this.values.push(value);
        }
    }

    this.getVar = function(name)
    {
        var i;
        for(i=0;i<this.names.length;i++)
        {
            if(this.names[i].toString()==name.toString())
            {
                    return this.values[i];
            }
        }
        return null;
    }

    this.numElements = function()
    {
        return this.names.length;
    }

    this.clearVars = function()
    {
        this.values = new Array();
        this.names = new Array();
    }

}


function loadLangXML(idioma,callBackFunction) {

    var namefile = '../lang/values-'+idioma+'/strings.xml';

    var doc = new XMLHttpRequest();

    doc.onreadystatechange = function() {
        if (doc.readyState == XMLHttpRequest.HEADERS_RECEIVED) {


        } else if (doc.readyState == XMLHttpRequest.DONE) {

            var xml = doc.responseXML.documentElement;

            //console.log("tam:"+xml.childNodes.length);
            for (var i=0;i<xml.childNodes.length;i++)
            {
                if(xml.childNodes[i].attributes)
                {

                    var valor = xml.childNodes[i].childNodes[0].nodeValue+"";

                    if(valor.indexOf("\\n")!=-1)
                    {
                        valor = valor.replace(/\\n/gi, '<br>');

                        langVars.setVar(''+xml.childNodes[i].attributes[0].nodeValue,''+valor);
                        //console.log(xml.childNodes[i].attributes[0].nodeValue+': '+langVars.getVar(''+xml.childNodes[i].attributes[0].nodeValue));

                    }else{
                        langVars.setVar(''+xml.childNodes[i].attributes[0].nodeValue,''+xml.childNodes[i].childNodes[0].nodeValue);
                        //console.log(xml.childNodes[i].attributes[0].nodeValue+': '+langVars.getVar(''+xml.childNodes[i].attributes[0].nodeValue));
                    }

                }

            }

            callBackFunction();
        }
    }

    doc.open("GET", namefile);
    doc.send();
}


function loadPanelElementsXML(callBackFunction, archivo)
{
    var namefile = '../' + archivo;

    //console.log("namefile: "+namefile);
    var doc = new XMLHttpRequest();

    doc.onreadystatechange = function() {
        if (doc.readyState == XMLHttpRequest.HEADERS_RECEIVED) {

        } else if (doc.readyState == XMLHttpRequest.DONE) {

            var xml = doc.responseXML.documentElement;
            var output = new Array()

            for (var i=0;i<xml.childNodes.length;i++)
            {
                if(xml.childNodes[i].attributes)
                {

                    var panelObj = new PanelElement();
                    var _id = ""+xml.childNodes[i].attributes[0].nodeValue;

                    panelObj.id = parseInt(_id);
                    panelObj.img = xml.childNodes[i].attributes[1].nodeValue;
                    panelObj.indexParent = i;
                    panelObj.archivo = xml.childNodes[i].attributes[2].nodeValue;
                    panelObj.tipo = parseInt(xml.childNodes[i].attributes[3].nodeValue);


                    if(xml.childNodes[i].childNodes.length>0)
                    {
                        panelObj.subs = "sub";
                    }else{
                        panelObj.subs = "";
                    }

                    output.push(panelObj);
                }
            }

            callBackFunction(output);
        }
    }

    //************************
    doc.open("GET", namefile);
    doc.send();
}



function loadPanelSubElementsXML(callBackFunction, archivo)
{
    //var namefile = '../xml/mainElements.xml';
    var namefile = '../' + archivo;

    console.log("namefile: "+namefile);
    var doc = new XMLHttpRequest();

    doc.onreadystatechange = function() {
        if (doc.readyState == XMLHttpRequest.HEADERS_RECEIVED) {

        } else if (doc.readyState == XMLHttpRequest.DONE) {

            var xml = doc.responseXML.documentElement;
            var output = new Array()

                if(xml.childNodes[currentIndexParent].attributes)
                {
                    //console.log("currentIndexParent :" + currentIndexParent);

                    if(xml.childNodes[currentIndexParent].childNodes.length>0)
                    {
                        var j=0;
                        for(j=0;j<xml.childNodes[currentIndexParent].childNodes.length;j++)
                        {
                            if(xml.childNodes[currentIndexParent].childNodes[j].nodeName=="sub")
                            {
                                var panelObj = new PanelElement();
                                //console.log("xml.childNodes[i].childNodes[j].nodeName:"+xml.childNodes[i].childNodes[j].nodeName);

                                panelObj.id = parseInt(xml.childNodes[currentIndexParent].childNodes[j].attributes[0].nodeValue);
                                panelObj.img = xml.childNodes[currentIndexParent].childNodes[j].attributes[1].nodeValue;
                                panelObj.tipo = parseInt(xml.childNodes[currentIndexParent].childNodes[j].attributes[2].nodeValue);
                                output.push(panelObj);
                            }
                        }
                    }
                    console.log("panelObj.subs.length:"+panelObj.subs.length);
                }

            callBackFunction(output);
        }
    }

    //************************
    doc.open("GET", namefile);
    doc.send();
}



function loadElementsAleatorioXML(callBackFunction)
{
    var namefile = '../xml/aleatorio.xml';

    console.log("namefile: "+namefile);
    var doc = new XMLHttpRequest();

    doc.onreadystatechange = function() {
        if (doc.readyState == XMLHttpRequest.HEADERS_RECEIVED) {

        } else if (doc.readyState == XMLHttpRequest.DONE) {

            var xml = doc.responseXML.documentElement;
            var output = new Array()

            for (var i=1; i<xml.childNodes[currentIndexAleatorio].childNodes.length;  i=i+2)
            {
                if(xml.childNodes[currentIndexAleatorio].childNodes[i].attributes)
                {
                    output.push(xml.childNodes[currentIndexAleatorio].childNodes[i].attributes[0].nodeValue);
                }
            }

            currentIndexAleatorio = currentIndexAleatorio + 2;

            if(currentIndexAleatorio >=(numPerAleatorio*2 ))
            {
                currentIndexAleatorio = 1;
            }

            callBackFunction(output);
        }
    }

    //************************
    doc.open("GET", namefile);
    doc.send();
}


function loadFilePersonaje(archivo, itemPersonaje, callBackFunction)
{
    var namefile = '../' + archivo.replace("qml/Pocoyize/","");

    var doc = new XMLHttpRequest();

    doc.onreadystatechange = function() {
        if (doc.readyState == XMLHttpRequest.HEADERS_RECEIVED) {

        } else if (doc.readyState == XMLHttpRequest.DONE) {

            var xml = doc.responseText;

            var output = xml;
        }
    }


    //************************
    doc.open("GET", namefile);
    doc.send();
}
///////////////////////////////////////
//*** ENVIO DE DATOS AL SERVIDOR ***//







//**************************
//////// OBJETOS ///////////

function PanelElement(){
    this.id = "";
    this.img = "";
    this.archivo="";
    this.subs = "";
    this.indexParent = "";
    this.tipo = "";
    this.arr = new Array();
}


function PersonajeElements(){
    this.eyes = "";
    this.eyebrows = "";
    this.mouth = "";
    this.hair = "";
    this.glasses = "";
    this.facialhair = "";
    this.body = "";
    this.legs = "";
    this.skinface = "";
    this.skinhands = "";
    this.skinlegs = "";
}


